<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Nineteen
 * @since Twenty Nineteen 1.0
 */
?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<link rel="profile" href="https://gmpg.org/xfn/11" />
	
	<!-- <link rel="icon" href="assets/images/favicon.png" sizes="16x16"> -->
	<!-- Bootstrap -->
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/css/bootstrap.min.css">
	<!-- icon -->
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/css/fontawsome.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/css/owl.carousel.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/css/owl.theme.default.min.css">
	<!--  My_Styles -->
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/css/style.css">
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/assets/css/responsive.css">
	
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<header class="main-header">
		<div class="container top-bar-sec">
			<div class="row">
				<div class="col-lg-12">
					<ul>
						<li><p>You have not yet registered to our club?</p></li>
						<li>
							<a href="javascript:void(0);">Login</a>
							<span>or</span>
							<a href="javascript:void(0);">Register</a>
						</li>
						<li class="social_icn">
							<a href="javascript:void(0)"><i class="fab fa-twitter"></i></a>
							<a href="javascript:void(0)"><i class="fab fa-facebook-f"></i></a>
							<a href="javascript:void(0)"><i class="fas fa-rss"></i></a>
						</li>
					</ul>
				</div>
			</div>
		</div>
		<nav class="navbar navbar-expand-lg navbar-light">
			<div class="container">
				<a class="navbar-brand p-0" href="https://businessonline.website/splat-southflorida.com/">
					<img src="https://businessonline.website/splat-southflorida.com/wp-content/uploads/2024/10/2_prev_ui-e1728402802459.png" alt="">
				</a>
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
					<span></span>
					<span></span>
					<span></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav ms-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" href="https://businessonline.website/splat-southflorida.com/">Home</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="https://businessonline.website/splat-southflorida.com/">About</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="https://businessonline.website/splat-southflorida.com/">Gallery</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="https://businessonline.website/splat-southflorida.com/blogs/">Blog</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="https://businessonline.website/splat-southflorida.com/contact-us/">Contacts</a>
						</li>
					</ul>
				</div>
			</div>
		</nav>
	</header>