<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Nineteen
 * @since Twenty Nineteen 1.0
 */

get_header();
?>




<section class="banner-sec" style="background-image:url(https://businessonline.website/splat-southflorida.com/wp-content/uploads/2024/10/action-games-1920-x-1080-wallpaper-em1gvdroqkkyzptx.jpg)">
   
      <div class="container">
         <div class="row">
            <div class="col-lg-6">
               <div class="bnnr-contnt">
                  <h1 class="text-white text-center">BLOGS</h1>
                
               </div>
            </div>
         </div>
      </div>
	
   </section>

<div class="section-pages gray-background mt-5 mb-5">
		<div class="container">
			<div class="row">
				<div class="col-md-9">
					<ul class="blog-list">
						
						
						 <?php
                global $wpdb;

                $paged = get_query_var('paged') ? get_query_var('paged') : 1;
                $args  = array('post_type' => 'post', 'posts_per_page' => -1, 'has_archive' => true, 'paged' => $paged);
               // $args  = array('post_type' => 'post', 'posts_per_page' => -1, 'has_archive' => true);
                $loop  = new WP_Query($args);
                while ($loop->have_posts()) : $loop->the_post();
                    ?>
						<li class="css-margin-bottom-medium">
							<div class="item-blog-list">
								<div class="thumb"><a href="<?php echo the_permalink(); ?>"> <img  class="plus-hover" src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php the_post_thumbnail_url('full'); ?>&h=263&w=300&zc=1q=100" alt="blog-thumb"> </a></div>
								<!-- /.thumb -->
								<div class="content">
									<h2 class="title"><a href="<?php echo the_permalink(); ?>"><?php echo the_title(); ?></a></h2>
									<!-- /.title -->
									<ul class="post-meta">
										<li><i class="fa fa-user"></i><a href="#" class="author"><?php echo get_the_author(); ?></a></li>
										<li><i class="fa fa-calendar"></i><a href="#"><?php
                                            $post_date = get_the_date('j F, Y');
                                            echo $post_date;
                                            ?></a></li>
									
									</ul>
									<!-- /.post-meta -->
									<p class="desc"> <?php echo get_the_excerpt(); ?></p>
									<!-- /.desc -->
									
								</div>
								<!-- /.content -->
							</div>
							<!-- /.item-blog-list -->
						</li>
						 <?php
                endwhile;
                wp_reset_postdata();
                ?>
                
					
					</ul>
					
					 <?php
                        if (function_exists("pagination")) {
                            echo pagination($post->max_num_pages);
                        }
                        ?>
					<!-- /.blog-list -->
					<!--<ul class="pagination css-margin-bottom-medium">
						<li><a href="#"><i class="fa fa-angle-left"></i></a></li>
						<li><a href="#">1</a></li>
						<li><a href="#">2</a></li>
						<li><a href="#" class="current">3</a></li>
						<li><a href="#">4</a></li>
						<li><a href="#"><i class="fa fa-angle-right"></i></a></li>
					</ul>  -->
					<!-- .pagination -->
				</div>
				<!-- /.col-md-9 -->
				<div class="col-md-3">
			
					<!-- /.widget widget_search -->
					<div class="widget widget_categories">
						<h2 class="widget-title">Categories</h2>
						<!-- /.widget-title -->
						<ul>
						    <?php
            global $wpdb;
            $args = array(
                'taxonomy'     => 'category',
                'parent'       => 0, // get top level categories
                'orderby'      => 'name',
                'order'        => 'ASC',
               
                'hierarchical' => 1,
                'pad_counts'   => 0
            );

            $categories = get_categories($args);

            foreach ($categories as $category) { ?>
                         <li><a href="#">  <?php echo $category->name; ?> <span>(<?php echo $category->count; ?>)</span></a></li>
 <?php  }
            ?>
						
						</ul>
					</div>
					<!-- /.widget widget_categories -->
					<div class="widget widget-recent-post">
						<h2 class="widget-title">Recent Posts</h2>
						<!-- /.widget-title -->
						<ul>
						    <?php
                global $wpdb;

               // $paged = get_query_var('paged') ? get_query_var('paged') : 1;
               // $args  = array('post_type' => 'post', 'posts_per_page' => -1, 'has_archive' => true, 'paged' => $paged);
                $args  = array('post_type' => 'post', 'posts_per_page' => 5, 'has_archive' => true);
                $loop  = new WP_Query($args);
                while ($loop->have_posts()) : $loop->the_post();
                    ?>
							<li>
<a href="<?php echo the_permalink(); ?>">
     <img  class="thumb" src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php the_post_thumbnail_url('full'); ?>&h=68&w=90&zc=1q=100" alt="blog-thumb">

	
									<h2 class="title"><?php echo the_title(); ?></h2>
									<!-- /.title -->
									<span class="date"><?php
                                            $post_date = get_the_date('j F, Y');
                                            echo $post_date;
                                            ?></span>
								</a>
							</li>
						 <?php
                endwhile;
                wp_reset_postdata();
                ?>
						</ul>
					</div>
					<!-- /.widget widget-recent-post -->
			
					<!-- /.widget widget_categories -->
					<div class="widget widget_tag_cloud">
						<h2 class="widget-title">Popular Tags</h2>
						<!-- /.widget-title -->
						<div class="tagcloud">
						    <?php 
						   $tags = get_tags(array(
                              'hide_empty' => false
                            ));
                           
                            foreach ($tags as $tag) {
                              echo '<a>' . $tag->name . '</a>';
                            }
                           
     
						    ?>
						
							<?php //} ?>
						</div>
						<!-- /.tagcloud -->
					</div>
					<!-- /.widget widget_tag_cloud -->
				
					<!-- /.widget widget-subscribe -->
				</div>
				<!-- /.col-md-3 -->
			</div>
			<!-- /.row -->
		</div>
		<!-- /.container -->
	</div>
	<!-- /.section-pages -->
	
	<style>
	
	.banner-sec {
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 400px;
    display: flex;
    align-items: center;
    background-position: center;
    position: relative !important;
}

	.banner-sec h1 {
    color: #fff !important;
    font-weight: bold;
    text-transform: uppercase;
    position: absolute;
    color: #fff;
    font-size: 56px;
    display: inline-block;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    padding: 20px 10px;
    width: 100%;
}

	    
	    .item-blog-list .post-meta li {
    display: inline-block;
    margin-right: 25px
}

.item-blog-list .post-meta .fa {
    margin-right: 10px;
    line-height: 26px
}

.item-blog-list .read-more-link {
    display: inline-block;
    position: relative;
    padding: 5px 18px;
    width: 125px;
    text-align: center;
    line-height: 25px;
    overflow: hidden;
    color: #fff!important;
    -webkit-border-radius: 18px;
    -moz-border-radius: 18px;
    border-radius: 18px
}

.item-blog-list .thumb {
    float: left;
    margin-right: 20px;
    max-width: 350px;
    text-align: center
}
.widget {
    margin-bottom: 50px;
}
.widget_categories a {
    display: block;
    position: relative;
    padding: 14px 50px 14px 20px;
    font-size: 18px;
    line-height: 25px;
    color: #0e0e0e;
    border-bottom: 1px solid #ededed;
    font-weight: 500;
}
.widget-recent-post .date {
    font-size: 14px;
    line-height: 26px;
    color: #a5a5a5;
}
.widget-recent-post a:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    clear: both;
    overflow: hidden;
}
.widget-recent-post .title {
    margin-bottom: 4px;
    font-size: 14px;
    line-height: 26px;
    font-weight: 500;
    color: #0e0e0e;
    transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    -webkit-transition: all .4s ease;
}
.blog-single .post-meta a {
    display: inline-block;
    font-size: 14px;
    line-height: 26px;
    color: #a5a5a5;
}
.blog-single .post-meta li {
    display: inline-block;
    margin-right: 25px;
}
.blog-single .post-meta {
    margin-bottom: 14px;
    color: #a5a5a5;
    font-weight: 500;
}
.tagcloud a {
    display: inline-block;
    padding: 5px 17px;
    margin: 0 5px 10px;
    font-size: 14px;
    line-height: 25px;
    color: #0e0e0e!important;
    background: #fff;
    -webkit-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    -moz-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
}
.widget-recent-post a {
    display: block;
    padding: 12px 12px;
}
.widget-recent-post .thumb {
    float: left;
    margin: 7px 21px 8px 0;
    transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    -webkit-transition: all .4s ease;
}
.widget-recent-post li:first-child {
    border-top: none;
}
.widget-recent-post ul {
    padding: 1px 10px;
    background: #fff;
    -webkit-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    -moz-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
}
.widget_categories a span {
    position: absolute;
    top: 14px;
    right: 0;
    color: #a5a5a5;
    transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    -webkit-transition: all .4s ease;
}
.widget_categories ul {
    padding: 10px 20px 1px;
    background: #fff;
    -webkit-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    -moz-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
}
h2.widget-title {
    color: #fff;
    margin-bottom: 23px;
}

.item-blog-list {
    margin-bottom: 40px;
}
h2.title {
    font-size: 22px;
    line-height: 34px;
}

.title a {color:#00ffff}
.item-blog-list p {
    color: #fff;
    font-size: 20px;
    font-weight: 400;
    line-height: 32px;
    letter-spacing: 1px;
}
.item-blog-list {
    padding: 10px;
    font-size: 14px;
    line-height: 26px;
  
    -webkit-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    -moz-box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
    box-shadow: 0 0 5px 0 rgba(14,14,14,.1);
}
.item-blog-list .thumb a {
    display: inline-block
}
a.more-link {
    color: #00ffff;
}
.blog-single.css-margin-bottom-medium img {
    width: 100%;
}

	    
	    
	</style>

<?php get_footer();
?>